libname pmc 'D:\PM NAAQS\summer04\coarse';
libname pmr 'F:\aqtag\PMBooklet\Data';
libname staff 'd:\pm naaqs\summer04';
libname sp 'F:\aqtag\pm naaqs sp\data';
data stppm10;
set pmc.P81102h_0103;
data lcpm10;
set pmc.P85101h_0103;
hr=sample_start_hour;
pmt_lc=value;
drop sample_start_hour value;
proc sort; by site sdate hr;
data pmf;
set pmc.P88101h_0103;
hr=sample_start_hour;
pmf=value;
drop sample_start_hour value;
proc sort; by site sdate hr;
run;
proc sql; create table stpsites as select distinct a.site,lat,long from stppm10 a, pmr.meta b
where a.site=b.site; quit;

proc sql; create table met03 as select distinct id,lat as lat2,-1*lon as long2 from v.sfc03b where rh ne .;
quit;

*match hourly with met;
*sql cartesian join to get all combos;
proc sql; create table bothlatlon as select distinct site,id,lat,lat2,long,long2 
from stpsites,met03; quit;

*calculate distance.... from Fitz;
data cart; set bothlatlon;
rp=6356.912;d=21.476;
latR=lat*arcos(-1)/180;
longR=long*arcos(-1)/180;
latR2=lat2*arcos(-1)/180;
longR2=long2*arcos(-1)/180;

*Polar radius of earth with difference between polar & eq;
 r=d*(cos(latR2)+cos(latR))*.5+rp;* average radius (km);
 d=arcos(cos(latR2)*cos(longR2)*cos(latr)*cos(longR)+cos(latR2)
 *sin(longR2)*cos(latR)*sin(longR)
 + sin(latR2)*sin(latR))*r;* distance in km;
proc sort data=cart; by site D;
run;
*get closest;

data close (keep=site id distm_to_met); set cart; by site D;
if first.site then do;
distm_to_met=round(d*.62137,.01);
output;
end;
run;
proc sql; create table stpmet03 as select distinct a.site,b.id,stnpr,t_fah,a.sdate,hr,distm_to_met,value as pmt_stp
from stppm10 a, v.sfc03b b,close c where a.site=c.site and b.id=c.id and a.sdate=b.sdate and
a.sample_start_hour=b.hr; quit;
proc sql; create table stpmet02 as select distinct a.site,b.id,stnpr,t_fah,a.sdate,hr,distm_to_met,value as pmt_stp
from stppm10 a, v.sfc02b b,close c where a.site=c.site and b.id=c.id and a.sdate=b.sdate and
a.sample_start_hour=b.hr; quit;
proc sql; create table stpmet01 as select distinct a.site,b.id,stnpr,t_fah,a.sdate,hr,distm_to_met,value as pmt_stp
from stppm10 a, v.sfc01b b,close c where a.site=c.site and b.id=c.id and a.sdate=b.sdate and
a.sample_start_hour=b.hr; quit;
data v.stphourmet; set stpmet03 stpmet02 stpmet01;
temp=5/9*(t_fah-32)+273.15;
press=stnpr/1.33322;
drop t_fah stnpr;
run;
proc sort data=v.stphourmet; by site sdate hr;
run;
data sp.pmc_hr_all_0103;
merge v.stphourmet lcpm10 pmf; by site sdate hr;
if pmt_lc ne . then pmt=pmt_lc;
else if pmt_stp ne . then do;
 pmt=pmt_stp*(298/temp)*(press/760);
end;
pmc=pmt-pmf;
if pmc ne .;
run;
proc means noprint; by site sdate hr;
var pmt pmf pmc;
output out=tab mean=pmt pmf pmc;
data sp.pmc_hr_all_0103b (keep=site zdate hr pmt pmc pmf);
set tab;
pmt=round(pmt,.1);
pmf=round(pmf,.1);
pmc=round(pmc,.1);
zdate=sdate;
run;
proc sql; create table a as select distinct site from sp.pmc_hr_all_0103; quit;
data a; set a ;in=1;
data b; merge a sp.meta; by site;
if in=1;
run;
