libname lib 'F:\aqtag\pm naaqs sp\data';
libname dat 'F:\aqtag\lqn\PMStaffPaper04\data';

*this is the final code used to develop daily max vs. daily mean correlations for staff paper;

* figure out which of the teom sites meets annual data completeness criteria... dont want seasonal bias;
proc univariate noprint data=lib.pmc_hr_all_0103b;*prep;
	 by site zdate;
	 var pmc;
	 output out=out1 n=nhours max=maxday mean=meanday;

data day;
	 set out1;
	 if nhours ge 18;
run;
* code from Mark to get sites with 4,8,or 12 complete quarters;
data day2; 
	 set day;
	 q=qtr(zdate);
	 year=year(zdate);
	 if year=2002 then q=q+4;
	 if year=2003 then q=q+8;
proc means noprint;
	 var meanday; 
	 by site q;
	 output out=q n=n mean=qtr_mean;
run;
data q2; 
	 length qc $8. qc2 $5.;
*qc and qc2 will be used for the transposed var names for means and n's;
	 set q;
	 if q lt 10 then qc='mean_q'||put(q,1.0);
	 else qc='mean_q'||put(q,2.0);
	 if q lt 10 then qc2='n_q'||put(q,1.0);
	 else qc2='n_q'||put(q,2.0);
run;
proc transpose data=q2 out=trans; by site;
	 var qtr_mean;
	 id qc;
run;
proc transpose data=q2 out=trans2; by site;
var n;
id qc2;
run;
data it; merge trans trans2;
by site;
run;
*this datastep determines a site's most recent consecutive 12, 8, or 4 quarters of 11+ samples
and blanks the other quarters;
data recent1284;
retain nq11 maxnq11;
array mn(12) mean_q1-mean_q12;
array nobs(12) n_q1-n_q12;
set it; 
nq11=0;
maxnq11=0;
do i=1 to 12;

    if nobs(i) ge 68 then nq11+1; *68 is 75% of 90,91,92 days in a quarter;
    if nobs(i) lt 68 then do;
        if nq11 ne 0 then do;
            if nq11 ge 8 then nq11=8;
            else if nq11 ge 4 then nq11=4;
            maxnq11=max(of maxnq11 nq11);
            if maxnq11=nq11 then do; eq=i-1; bq=eq-nq11+1; end;
            nq11=0;
        end;
    end;
    else if i=12 then do;
            if nq11=12 then nq11=12;
            else if nq11 ge 8 then nq11=8;
            else if nq11 ge 4 then nq11=4;
            maxnq11=max(of maxnq11 nq11);
            if maxnq11=nq11 then do; eq=i; bq=eq-nq11+1; end;
    end;
if maxnq11 lt 4 then do; bq=0; eq=0; maxnq11=.; end;
end;

do i=1 to 12;
if i lt bq or i gt eq then do;
mn(i)=.;
nobs(i)=.;
end;
end;
annmean=mean(of mean_q1-mean_q12);
if annmean ne .;
drop nq11 _name_ i;
run;

data keepq (keep=site bq eq);
	 set recent1284;
	 if annmean ne .;
proc sort; 
	 by site;
run;

*merge with the hourly data;
proc sort data=lib.pmc_hr_all_0103b out=hourly (keep=site zdate hr pmc);
	 by site;
run;

data dat.pmc_hourly_bysite_1284; 
	 merge keepq (in=incomp) hourly; 
	 by site;
	 if incomp;
	 q=qtr(zdate); *had to add this line to get q... wasn't in original pmc data set like pmf;
	 year=year(zdate);
	 if year=2002 then q=q+4;
	 if year=2003 then q=q+8;
	 if bq le q le eq;
	 *if q ge bq and q le eq;
run;

proc sql; select distinct maxnq11,count(*) from recent1284 group by maxnq11; quit;

* there were 31 monitors meeting the completeness criteria above;
* compute daily max and daily means and run correlations;
proc univariate noprint data=dat.pmc_hourly_bysite_1284;
	 by site zdate;
	 var pmc;
	 output out=daily n=nhours max=maxday mean=meanday;

data dat.pmc_daily_bysite1284;
	 set daily;
	 if nhours ge 18;
run;
********************************start here, I ran the code above on 10/7/04 ***************************;
*now add the hei regions;
libname lib2 'F:\aqtag\PMBooklet\Data';

proc sort data=lib2.meta out=heiregs (keep=site pmregdesc);
	 by site;
data dat.corrsites_pmc;   *this is the data set to start from now!!!!!!!!!;
	 merge dat.pmc_daily_bysite1284 (in=inthis) heiregs;
	 by site;
	 if inthis;
run;

*get correlations;
proc sort data=dat.corrsites_pmc out=sorted; by pmregdesc site;
proc corr data=sorted out=corrout2;
	 by pmregdesc site;
	 var maxday meanday;
run;
data corr_reg (keep=pmregdesc site pcorr); set corrout2;
if _type_='CORR' and _name_='maxday' then do; pcorr=meanday; output; end;
run;
data dat.correlations_bysite_pmc;
	 set corr_reg;
run;

*get summary stats;
proc univariate data=dat.correlations_bysite_pmc;
	 var pcorr;
	 output out=sum_nat n=n_sites mean=mean_pcorr min=min_pcorr max=max_pcorr median=med_pcorr;
run;
proc univariate data=dat.correlations_bysite_pmc;
	 by pmregdesc;
	 var pcorr;
	 output out=sum_reg n=n_sites mean=mean_pcorr min=min_pcorr max=max_pcorr median=med_pcorr;
run;
data dat.correlations_summary_pmc;
	 keep pmregdesc n_sites mean_pcorr med_pcorr min_pcorr max_pcorr;
	 retain pmregdesc n_sites mean_pcorr med_pcorr min_pcorr max_pcorr;
	 set sum_nat sum_reg;
	 if pmregdesc=' ' then pmregdesc='National';
	 mean_pcorr=round(mean_pcorr,.01);
	 min_pcorr=round(min_pcorr,.01);
	 max_pcorr=round(max_pcorr,.01);
	 med_pcorr=round(med_pcorr,.01);
	 label 	n_sites = 'Number of Sites'
			mean_pcorr = 'Mean Correlation'
			min_pcorr = 'Min Correlation'
			max_pcorr = 'Max Correlation'
			med_pcorr = 'Median Correlation';
proc print u width=min; run;
proc export data=dat.correlations_summary_pmc
            outfile="F:\aqtag\lqn\PMStaffPaper04\data\correlations_summary_pmc.xls"
            dbms=excel2000 replace;
run;

* NOW lets get 98th ptile and merge with annual means for those sites meeting 12,8,4 quarter completentess criteria;
proc univariate noprint data=dat.pmc_daily_bysite1284;
	 by site;
	 var meanday;
	 output out=p98data pctlpre=p pctlpts=98;

* merge p98 with annual means and then with daily max 1-hr values;
data both;
	 keep site bq eq maxnq11 annmean p98;
	 merge recent1284 p98data;
	 by site;
run;

data dat.pmc_daily_bysite1284_ann_p98;
	 merge both (in=inboth) dat.pmc_daily_bysite1284;
	 by site;
	 annmean=round(annmean,.1);
	 p98=round(p98,1);
run;
*might need to go back and merge hei regions here later;

*now plot the daily 1-hr maxes (y-axis) by groupings of annual or p98 concentrations (x-axis); 
***** annual mean ******;
data fine (keep=site int level p98 maxday);
	 set dat.pmc_daily_bysite1284_ann_p98;
	 int=round(annmean,.1);
	 if int le 6 then level='a';
	 else if int le 8 then level='b';
	 else if int le 10 then level='c';
	 else if int le 12 then level='d';
	 else if int le 14 then level='e';
	 else if int le 16 then level='f';
	 else if int le 20 then level='g';
	 else if int le 30 then level='h';
	 else level='i';
run;
proc sort; by level;

proc univariate noprint data=fine;
	 by level;
	 var maxday;
	 output out=uniout min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
	 p95=PCT95 max=MAX mean=mmean n=n;
run;
proc print data=uniout width=min; run; *get stats for labeling plot;
data a; set uniout;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;

GOPTIONS reset=all dev=cgmlt97l ftext=HWCGM013
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol i=box05t bwidth=5;
axis1 label=none offset=(5) minor=none value=none;
axis2 label=none order=(0 to 100 by 10) c=black;
run;

filename gsasfile "F:\aqtag\lqn\PMStaffPaper04\output\pmc_dailymx1hr_vs_amean.cgm";

proc gplot data=a;
plot val * level /
vref=(10 20 30 40 50 60 70 80 90)
lvref=3
haxis=axis1
vaxis=axis2;
run;
quit;

*now plot the daily 1-hr maxes (y-axis) by groupings of annual or p98 concentrations (x-axis); 
***** 98th ptile ******;
data fine (keep=site int level p98 maxday);
	 set dat.pmc_daily_bysite1284_ann_p98;
	 int=round(p98,1);
	 if int le 20 then level='a';
	 else if int le 30 then level='b';
	 else if int le 40 then level='c';
	 else if int le 50 then level='d';
	 else if int le 60 then level='e';
	 else if int le 70 then level='f';
	 else if int le 80 then level='g';
	 else if int le 90 then level='h';
	 else level='i';
run;
proc sort; by level;

proc univariate noprint data=fine;
	 by level;
	 var maxday;
	 output out=uniout min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
	 p95=PCT95 max=MAX mean=mmean n=n;
run;
proc print data=uniout width=min; run; *get stats for labeling plot;
data a; set uniout;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;

GOPTIONS reset=all dev=cgmlt97l ftext=HWCGM013
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol i=box05t bwidth=5;
axis1 label=none offset=(5) minor=none value=none;
axis2 label=none order=(0 to 140 by 20) c=black;
run;

filename gsasfile "F:\aqtag\lqn\PMStaffPaper04\output\pmc_dailymx1hr_vs_p98.cgm";

proc gplot data=a;
plot val * level /
vref=(20 40 60 80 100 120)
lvref=3
haxis=axis1
vaxis=axis2;
run;
quit;


