libname staffpap 'F:\aqtag\ezm\PMstaffpaper\data'; run;
data pmc;
set staffpap.collocated_pmc_20012003;
if site in ("481410037", "370670022");
	 month=month(sdate);
	 datetime=dhms(sdate,hour,0,0);
	 *DO IF ADJUSTING FOR DAYLIGHT SAVINGS TIME	;
	 *get correct date and hour;
if 	('01apr01:3:00:00'dt le datetime le '28oct01:00:00:00'dt) or
	('07apr02:3:00:00'dt le datetime le '27oct02:00:00:00'dt) or
	('06apr03:3:00:00'dt le datetime le '26oct03:00:00:00'dt)
	 then do; *if during DST, then add 1 hour;
		newdatetime=datetime+3600;
	 end;
	 else do;
	 	newdatetime=datetime;
	 end;
	 *get hour from newdatetime;
	 hour=hour(newdatetime);
*/
	 *assign seasons;
	 if month in (12,1,2) then season='winter';
	 else if month in (3,4,5) then season='spring';
	 else if month in (6,7,8) then season='summer';
	 else if month in (9,10,11) then season='fall';
format sdate date9.;
run;

data pmf;
set staffpap.collocated_pmf_20012003;
if site in ("481410037", "370670022");
 month=month(sdate);
	 datetime=dhms(sdate,hour,0,0);
	 *DO IF ADJUSTING FOR DAYLIGHT SAVINGS TIME	;
	 *get correct date and hour;
if 	('01apr01:3:00:00'dt le datetime le '28oct01:00:00:00'dt) or
	('07apr02:3:00:00'dt le datetime le '27oct02:00:00:00'dt) or
	('06apr03:3:00:00'dt le datetime le '26oct03:00:00:00'dt)
	 then do; *if during DST, then add 1 hour;
		newdatetime=datetime+3600;
	 end;
	 else do;
	 	newdatetime=datetime;
	 end;
	 *get hour from newdatetime;
	 hour=hour(newdatetime);
*/
	 *assign seasons;
	 if month in (12,1,2) then season='winter';
	 else if month in (3,4,5) then season='spring';
	 else if month in (6,7,8) then season='summer';
	 else if month in (9,10,11) then season='fall';
format sdate date9.;
run;

*delete 2001 data for fine since coarse only have data for 2002-2003;
data elpaso_pmf;
set pmf;
if site eq "481410037" and year ge 2002;
rename value=pmf;
run;

data gso_pmf;
set pmf;
if site eq "370670022";
rename value=pmf;
run;

data elpaso_pmc;
set pmc;
if site eq "481410037";
run;

data gso_pmc;
set pmc;
if site eq "370670022";
run;


%macro staffpap(dataset, poll, city, pollname, plot, scale);
%if &plot=hourly %then %do;
proc sort data=&dataset; by PMREGDESC area site hour; run;

proc univariate noprint data=&dataset;
by PMREGDESC area site hour; var &poll; output out=prepc4 min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
p95=PCT95 max=max mean=mean n=n;
run;
*tricks sas so we can control the axis...got this from Mark Schmidt;
data acoarse; set prepc4;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;

filename gsasfile "F:\aqtag\ezm\PMstaffpaper\graphs\&city._hourlyboxplots20012003_&poll..cgm";
goptions reset=all dev=cgmlt97l gaccess=gsasfile ftext=HWCGM013
		 ctext=black htext=1.0 cback=white colors=(black);
title1  h=1.5 "Hourly &pollname Concentrations, 2001-2003";
title2 ' ';
symbol1 i=boxt05 cv=blue;
symbol2 i=j v=dot cv=blue;
axis1 order = (0 to 23 by 1)
      offset = (5,5)
	  minor = none
      label = none;
axis2 order =(0 to &scale by 10)
	  minor=(number=1) /*puts a tick mark between 10 and 20 to show 15*/
      label=(angle=90 'Concentration, ug/m3');

proc gplot data=acoarse;
	 by PMREGDESC area site;
	 plot val*hour mean*hour/
	 	overlay
		haxis=axis1
		vaxis=axis2;

run;
quit;
%end;

%if &plot=season %then %do;
proc sort data=&dataset;
	 by site area season hour;
proc univariate noprint data=&dataset;
	 by site area season hour;
	 var &poll;
	 output out=step2 mean=season_mean n=n;
run;
proc sort data=step2; by site area hour;
proc transpose data=step2 out=step3;
	 by site area hour;
	 id season;
	 var season_mean;
run;

* graph them!;
filename gsasfile "F:\aqtag\ezm\PMstaffpaper\graphs\&city._hourlymeans_byseason_&poll..cgm";
goptions reset=all dev=cgmlt97l gaccess=gsasfile ftext=HWCGM013 
		 ctext=black htext=1.0 cback=white colors=(black);
title1  h=1.5 "Average Hourly &pollname Concentrations, 2001-2003";
title2 ' ';

symbol1 color=green interpol=join value=none w=2 l=1;
symbol2 color=red interpol=join value=none w=2 l=3;
symbol3 color=orange interpol=join value=none w=2 l=5;
symbol4 color=blue interpol=join value=none w=2 l=43;

axis1 order = (0 to 23 by 1)
      offset = (5,5)
	  minor =none
      label = none;
axis2 order =(0 to &scale by 10)
	  minor=(number=1)
      label=(angle=90 'Concentration, ug/m3');

legend1 shape=line(6) position=(left top) offset=(10,)
        mode=share across=1 label=none
		value=(j=l f="hwcgm004" 'Spring (Mar-May)' 'Summer (Jun-Aug)' 
				'Fall (Sep-Nov)' 'Winter(Dec-Feb)');

proc gplot data=step3;
	 by site area;
	 plot spring*hour summer*hour fall*hour winter*hour / 
			   overlay
			   skipmiss
			   legend=legend1
               haxis = axis1
               vaxis = axis2;
run;
quit;
%end;
%mend;
%staffpap(elpaso_pmc, pmc, elpaso, PM10-2.5,hourly, 240)
%staffpap(elpaso_pmf, pmf, elpaso, PM2.5, hourly, 60)
%staffpap(gso_pmc, pmc, gso, PM10-2.5, hourly, 20)
%staffpap(gso_pmf, pmf, gso, PM2.5, hourly, 40)
%staffpap(elpaso_pmc, pmc, elpaso, PM10-2.5, season, 240)
%staffpap(elpaso_pmf, pmf, elpaso, PM2.5, season, 60)
%staffpap(gso_pmc, pmc, gso, PM10-2.5, season, 20)
%staffpap(gso_pmf, pmf, gso, PM2.5, season, 40)


