libname pmdata 'F:\aqtag\pm naaqs sp\data'; run;
proc sort data=pmdata.Pmf_hourly_bysite_1284 out=pmf; by site poc; run;
data complete (keep=datetime);
do year=2001 to 2003;
do month=1 to 12;
days=30+mod(month+int(month/8),2)
	  -(2-int((1-mod(year,4))/(1+mod(year,4)))
      +int((1-mod(year,100))/(1+mod(year,100)))
      -int((1-mod(year,400))/(1+mod(year,400))))*
      (1-mod(month,2))*int(2/month);
do day=1 to days;
do hour=0 to 23;
datetime=DHMS(MDY(month,day,year),hour,0,0);
format datetime datetime.14;
output;
end;
end;
end;
end;
run;

data pmf2;
set pmf;
month=month(sdate);
day=day(sdate);
datetime=DHMS(MDY(month,day,year),sample_start_hour,0,0);
format datetime datetime.14;
run;

proc sort data=pmf2; by site poc datetime; run;

proc sql; create table sites as select distinct site, poc from pmf2;
quit;

proc sql; create table prep as select distinct * from sites, complete; 
quit;

proc sort data=prep; by site poc datetime; run;

data pmf3;
merge prep (in=inp) pmf2;
by site poc datetime;
if inp;
run;

data pmfdiff (keep=site poc datetime value diff);
set pmf3;
by site poc datetime;
diff=dif(value);
run;

proc univariate data=pmfdiff; var diff;
title "All Sites, Positive and Negative Changes"; run;

data pmfneg;
set pmfdiff;
if diff lt 0;
run;
proc univariate data=pmfneg; var diff;
title "Sites with Negative Changes"; run;

*Page 2-47 staff paper 2003, distribution of increases...;
data pmfpos;
set pmfdiff;
if diff gt 0;
run;
proc univariate data=pmfpos noprint; var diff; by site poc;
var diff; output out=positive median=median p95=pct95; run;
proc univariate data=positive; var median pct95;
title " "; run;
