libname staffpap 'F:\aqtag\ezm\PMstaffpaper\data';
%macro boxplots(poll, variable, pollname);
data step1 (drop=hour);
format datetime datetime16.;
set staffpap.Collocated_&poll._20012003;
datetime=dhms(sdate,hour,0,0);
if site in ("481410037", "180890022");
run;

data step2;
set step1;
if 	('01apr01:3:00:00'dt le datetime le '28oct01:00:00:00'dt) or
	('07apr02:3:00:00'dt le datetime le '27oct02:00:00:00'dt) or
	('06apr03:3:00:00'dt le datetime le '26oct03:00:00:00'dt)
	 then do; *if during DST, then add 1 hour;
		newdatetime=datetime+3600;
	 end;
	 else do;
	 	newdatetime=datetime;
	 end;
	 *get hour from newdatetime;
	 hour=hour(newdatetime);
run;

proc sort data=step2; by PMREGDESC area site hour; run;

proc univariate noprint data=step2;
by PMREGDESC area site hour; var &variable; output out=uniout min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
p95=PCT95 max=max mean=mean n=n;
run;

*tricks sas so we can control the axis...got this from Mark Schmidt;
data a; set uniout;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;

filename gsasfile "F:\aqtag\ezm\PMstaffpaper\graphs\&poll._hourlyboxplots20012003_daylight_savings.cgm";
goptions reset=all dev=cgmlt97l gaccess=gsasfile ftext=HWCGM013 
		 ctext=black htext=1.0 cback=white colors=(black);
title1  h=1.5 "Hourly &pollname Concentrations, 2001-2003 (adjusted for daylight savings time)";
title2 ' ';
symbol1 i=boxt05 cv=blue;
symbol2 i=j v=dot cv=blue;
axis1 order = (0 to 23 by 1)
      offset = (5,5)
	  minor = none
      label = none;
axis2 order =(0 to 60 by 10)
	  minor=(number=1) /*puts a tick mark between 10 and 20 to show 15*/
      label=(angle=90 'Concentration, ug/m3');

proc gplot data=a;
	 by PMREGDESC area site;
	 plot val*hour mean*hour/
	 	overlay
		haxis=axis1
		vaxis=axis2;

run;
quit;
%mend boxplots;
%boxplots(pmc,pmc,PM 10-2.5)
%boxplots(pmf,value,PM2.5)
