libname staffpap 'F:\aqtag\ezm\PMstaffpaper\data';
%macro pm(poll);
data &poll;
	 set staffpap.Collocated_&poll._20012003;
	 month=month(sdate);
	 datetime=dhms(sdate,hour,0,0);
	 *DO IF ADJUSTING FOR DAYLIGHT SAVINGS TIME	;
	 *get correct date and hour;
if 	('01apr01:3:00:00'dt le datetime le '28oct01:00:00:00'dt) or
	('07apr02:3:00:00'dt le datetime le '27oct02:00:00:00'dt) or
	('06apr03:3:00:00'dt le datetime le '26oct03:00:00:00'dt)
	 then do; *if during DST, then add 1 hour;
		newdatetime=datetime+3600;
	 end;
	 else do;
	 	newdatetime=datetime;
	 end;
	 *get hour from newdatetime;
	 hour=hour(newdatetime);
run;	
%mend pm;
%pm(pmc)
%pm(pmf)	

data junkc (keep=site sdate pmc area PMREGDESC hour);
set pmc;
if site eq "481410037";
if sdate ge 15456 and sdate le 15457;
if sdate eq 15457 then hour=hour+24;
if hour=0 then pmc=.; *deletes the very high value at midnight;
format sdate date9.;
run;
proc sort data=junkc; by area sdate hour; run;
filename gsasfile "F:\aqtag\ezm\PMstaffpaper\graphs\elpaso_pmc_april.cgm";
goptions reset=all dev=cgmlt97l gaccess=gsasfile ftext=HWCGM013  
		 ctext=black htext=1.0 cback=white colors=(black);
title1  h=1.5 "Hourly PM10-2.5 Concentrations, April 26-27,2002";
title2 ' ';
symbol2 i=j v=dot cv=blue;
axis1 order = (0 to 47 by 1)
      offset = (5,5)
	  minor = none
      label = none;
axis2 /*order =(-10 to 110 by 10)*/
	  minor=(number=1) /*puts a tick mark between 10 and 20 to show 15*/
      label=(angle=90 'Concentration, ug/m3');

proc gplot data=junkc;
	 format sdate date9.;
	 by area;
	 plot pmc*hour/
	 	skipmiss
		haxis=axis1
		vaxis=axis2;
run;
quit;

data junkf (keep=site sdate value area PMREGDESC hour);
set pmf;
if sdate ge 15456 and sdate le 15457;
if sdate eq 15457 then hour=hour+24;
format sdate date9.;
if site eq "481410037";
if hour=0 then value=.; *deletes the very high value at midnight;
run;
proc sort data=junkf; by area sdate hour; run;
filename gsasfile "F:\aqtag\ezm\PMstaffpaper\graphs\elpaso_pmf_april.cgm";
goptions reset=all dev=cgmlt97l gaccess=gsasfile ftext=HWCGM013  
		 ctext=black htext=1.0 cback=white colors=(black);
title1  h=1.5 "Hourly PM2.5 Concentrations, April 26-27, 2002";
title2 ' ';
symbol2 i=j v=dot cv=blue;
axis1 order = (0 to 47 by 1)
      offset = (5,5)
	  minor = none
      label = none;
axis2 order =(0 to 500 by 50)
	  minor=(number=1) /*puts a tick mark between 10 and 20 to show 15*/
      label=(angle=90 'Concentration, ug/m3');

proc gplot data=junkf;
	 format sdate date9.;
	 by area;
	 plot value*hour/
	 	overlay
		haxis=axis1
		vaxis=axis2;
run;
quit;

options mlogic mprint;
%macro events(day,mon,yr,data,site);
data step1;
set &data;
if sdate eq "&day&mon&yr"d;
if site eq "&site";
run;

proc sort data=step1; by sdate area; run;

filename gsasfile "F:\aqtag\ezm\PMstaffpaper\graphs\site&site._hourlyboxplots20012002.cgm";
goptions reset=all dev=cgmlt97l gaccess=gsasfile ftext=HWCGM013  
		 ctext=black htext=1.0 cback=white colors=(black);
%if &data=pmf %then %do;
title1  h=1.5 "Hourly PM2.5 Concentrations";
%end;
%else %do;
title1  h=1.5 "Hourly PM10-2.5 Concentrations";
%end;
title2 ' ';
symbol2 i=j v=dot cv=blue;
axis1 order = (0 to 23 by 1)
      offset = (5,5)
	  minor = none
      label = none;
axis2 order =(0 to 380 by 10)
	  minor=(number=1) /*puts a tick mark between 10 and 20 to show 15*/
      label=(angle=90 'Concentration, ug/m3');

proc sort data=step1; by sdate area hour; run; 

proc gplot data=step1;
	 by sdate area;
	 format sdate date9.;
%if &data=pmf %then %do;
	plot value*hour/
%end;
%else %do;
	plot pmc*hour/
%end;
	 	overlay
		haxis=axis1
		vaxis=axis2;
run;
quit;

%mend events;
%events(15,apr,2003,pmc,180890022)
%events(15,apr,2003,pmf,180890022)

